PHPExcel_Writer

# Class: PHPExcel_Writer_PDF_Core

Source Location: /PHPExcel/Writer/PDF/Core.php

### Class Overview

    PHPExcel_Writer_HTML
       |
       --PHPExcel_Writer_PDF_Core

PHPExcel_Writer_PDF_Core

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Variables

- $_paperSizes

### Methods

- __construct
- getFont
- getOrientation
- getPaperSize
- getTempDir
- setFont
- setOrientation
- setPaperSize
- setTempDir

### Child classes:

PHPExcel_Writer_PDF_DomPDF
  PHPExcel_Writer_PDF_DomPDF

PHPExcel_Writer_PDF_mPDF
  PHPExcel_Writer_PDF_mPDF

PHPExcel_Writer_PDF_tcPDF
  PHPExcel_Writer_PDF_tcPDF

### Inherited Variables

#### Class: PHPExcel_Writer_HTML

PHPExcel_Writer_HTML::$_isPdf
PHPExcel_Writer_HTML::$_phpExcel

### Inherited Methods

#### Class: PHPExcel_Writer_HTML

PHPExcel_Writer_HTML::__construct()
  Create a new PHPExcel_Writer_HTML
PHPExcel_Writer_HTML::buildCSS()
  Build CSS styles
PHPExcel_Writer_HTML::formatColor()
  Add color to formatted string as inline style
PHPExcel_Writer_HTML::generateHTMLFooter()
  Generate HTML footer
PHPExcel_Writer_HTML::generateHTMLHeader()
  Generate HTML header
PHPExcel_Writer_HTML::generateNavigation()
  Generate sheet tabs
PHPExcel_Writer_HTML::generateSheetData()
  Generate sheet data
PHPExcel_Writer_HTML::generateStyles()
  Generate CSS styles
PHPExcel_Writer_HTML::getGenerateSheetNavigationBlock()
  Get sheet index
PHPExcel_Writer_HTML::getImagesRoot()
  Get images root
PHPExcel_Writer_HTML::getPreCalculateFormulas()
  Get Pre-Calculate Formulas
PHPExcel_Writer_HTML::getSheetIndex()
  Get sheet index
PHPExcel_Writer_HTML::getUseInlineCss()
  Get use inline CSS?
PHPExcel_Writer_HTML::save()
  Save PHPExcel to file
PHPExcel_Writer_HTML::setGenerateSheetNavigationBlock()
  Set sheet index
PHPExcel_Writer_HTML::setImagesRoot()
  Set images root
PHPExcel_Writer_HTML::setPreCalculateFormulas()
  Set Pre-Calculate Formulas
PHPExcel_Writer_HTML::setSheetIndex()
  Set sheet index
PHPExcel_Writer_HTML::setUseInlineCss()
  Set use inline CSS?
PHPExcel_Writer_HTML::writeAllSheets()
  Write all sheets (resets sheetIndex to NULL)

### Class Details

[line 36]
PHPExcel_Writer_PDF_Core

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)
abstract: |

[ Top ]

### Class Variables

#### static $_paperSizes = array(
// Excel Paper Size TCPDF Paper Size
PHPExcel_Worksheet_PageSetup::PAPERSIZE_LETTER => 'LETTER', // (8.5 in. by 11 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_LETTER_SMALL => 'LETTER', // (8.5 in. by 11 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_TABLOID => array(792.00,1224.00),// (11 in. by 17 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_LEDGER=>array(1224.00,792.00),// (17 in. by 11 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_LEGAL=>'LEGAL',// (8.5 in. by 14 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_STATEMENT=>array(396.00,612.00),// (5.5 in. by 8.5 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_EXECUTIVE=>'EXECUTIVE',// (7.25 in. by 10.5 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_A3=>'A3',// (297 mm by 420 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_A4=>'A4',// (210 mm by 297 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_A4_SMALL=>'A4',// (210 mm by 297 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_A5=>'A5',// (148 mm by 210 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_B4=>'B4',// (250 mm by 353 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_B5=>'B5',// (176 mm by 250 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_FOLIO=>'FOLIO',// (8.5 in. by 13 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_QUARTO=>array(609.45,779.53),// (215 mm by 275 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_STANDARD_1=>array(720.00,1008.00),// (10 in. by 14 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_STANDARD_2=>array(792.00,1224.00),// (11 in. by 17 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_NOTE=>'LETTER',// (8.5 in. by 11 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_NO9_ENVELOPE=>array(279.00,639.00),// (3.875 in. by 8.875 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_NO10_ENVELOPE=>array(297.00,684.00),// (4.125 in. by 9.5 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_NO11_ENVELOPE=>array(324.00,747.00),// (4.5 in. by 10.375 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_NO12_ENVELOPE=>array(342.00,792.00),// (4.75 in. by 11 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_NO14_ENVELOPE=>array(360.00,828.00),// (5 in. by 11.5 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_C=>array(1224.00,1584.00),// (17 in. by 22 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_D=>array(1584.00,2448.00),// (22 in. by 34 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_E=>array(2448.00,3168.00),// (34 in. by 44 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_DL_ENVELOPE=>array(311.81,623.62),// (110 mm by 220 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_C5_ENVELOPE=>'C5',// (162 mm by 229 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_C3_ENVELOPE=>'C3',// (324 mm by 458 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_C4_ENVELOPE=>'C4',// (229 mm by 324 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_C6_ENVELOPE=>'C6',// (114 mm by 162 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_C65_ENVELOPE=>array(323.15,649.13),// (114 mm by 229 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_B4_ENVELOPE=>'B4',// (250 mm by 353 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_B5_ENVELOPE=>'B5',// (176 mm by 250 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_B6_ENVELOPE=>array(498.90,354.33),// (176 mm by 125 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_ITALY_ENVELOPE=>array(311.81,651.97),// (110 mm by 230 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_MONARCH_ENVELOPE=>array(279.00,540.00),// (3.875 in. by 7.5 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_6_3_4_ENVELOPE=>array(261.00,468.00),// (3.625 in. by 6.5 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_US_STANDARD_FANFOLD=>array(1071.00,792.00),// (14.875 in. by 11 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_GERMAN_STANDARD_FANFOLD=>array(612.00,864.00),// (8.5 in. by 12 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_GERMAN_LEGAL_FANFOLD=>'FOLIO',// (8.5 in. by 13 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_ISO_B4=>'B4',// (250 mm by 353 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_JAPANESE_DOUBLE_POSTCARD=>array(566.93,419.53),// (200 mm by 148 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_STANDARD_PAPER_1=>array(648.00,792.00),// (9 in. by 11 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_STANDARD_PAPER_2=>array(720.00,792.00),// (10 in. by 11 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_STANDARD_PAPER_3=>array(1080.00,792.00),// (15 in. by 11 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_INVITE_ENVELOPE=>array(623.62,623.62),// (220 mm by 220 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_LETTER_EXTRA_PAPER=>array(667.80,864.00),// (9.275 in. by 12 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_LEGAL_EXTRA_PAPER=>array(667.80,1080.00),// (9.275 in. by 15 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_TABLOID_EXTRA_PAPER=>array(841.68,1296.00),// (11.69 in. by 18 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_A4_EXTRA_PAPER=>array(668.98,912.76),// (236 mm by 322 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_LETTER_TRANSVERSE_PAPER=>array(595.80,792.00),// (8.275 in. by 11 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_A4_TRANSVERSE_PAPER=>'A4',// (210 mm by 297 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_LETTER_EXTRA_TRANSVERSE_PAPER=>array(667.80,864.00),// (9.275 in. by 12 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_SUPERA_SUPERA_A4_PAPER=>array(643.46,1009.13),// (227 mm by 356 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_SUPERB_SUPERB_A3_PAPER=>array(864.57,1380.47),// (305 mm by 487 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_LETTER_PLUS_PAPER=>array(612.00,913.68),// (8.5 in. by 12.69 in.)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_A4_PLUS_PAPER=>array(595.28,935.43),// (210 mm by 330 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_A5_TRANSVERSE_PAPER=>'A5',// (148 mm by 210 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_JIS_B5_TRANSVERSE_PAPER=>array(515.91,728.50),// (182 mm by 257 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_A3_EXTRA_PAPER=>array(912.76,1261.42),// (322 mm by 445 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_A5_EXTRA_PAPER=>array(493.23,666.14),// (174 mm by 235 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_ISO_B5_EXTRA_PAPER=>array(569.76,782.36),// (201 mm by 276 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_A2_PAPER=>'A2',// (420 mm by 594 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_A3_TRANSVERSE_PAPER=>'A3',// (297 mm by 420 mm)
PHPExcel_Worksheet_PageSetup::PAPERSIZE_A3_EXTRA_TRANSVERSE_PAPER=>array(912.76,1261.42)// (322 mm by 445 mm)
)

[line 71]

Paper Sizes xRef List

#### Tags:

access: | protected

Type: | array

[ Top ]

### Class Methods

### constructor __construct [line 146]

`PHPExcel_Writer_PDF_Core __construct( PHPExcel $phpExcel)`

Create a new PHPExcel_Writer_PDF

#### Tags:

access: | public

Overridden in child classes as:

PHPExcel_Writer_PDF_DomPDF::__construct()
  Create a new PHPExcel_Writer_PDF

PHPExcel_Writer_PDF_mPDF::__construct()
  Create a new PHPExcel_Writer_PDF

PHPExcel_Writer_PDF_tcPDF::__construct()
  Create a new PHPExcel_Writer_PDF

Overrides PHPExcel_Writer_HTML::__construct() (Create a new PHPExcel_Writer_HTML)

#### Parameters:

PHPExcel | $phpExcel | PHPExcel object

[ Top ]

### method getFont [line 157]

`string getFont( )`

Get Font

#### Tags:

access: | public

[ Top ]

### method getOrientation [line 200]

`string getOrientation( )`

Get Orientation

#### Tags:

access: | public

[ Top ]

### method getPaperSize [line 180]

`int getPaperSize( )`

Get Paper Size

#### Tags:

access: | public

[ Top ]

### method getTempDir [line 220]

`string getTempDir( )`

Get temporary storage directory

#### Tags:

access: | public

[ Top ]

### method setFont [line 170]

`void setFont( string $fontName)`

Set font. Examples:

'arialunicid0-chinese-simplified' 'arialunicid0-chinese-traditional' 'arialunicid0-korean' 'arialunicid0-japanese'

#### Tags:

access: | public

#### Parameters:

string | $fontName |

[ Top ]

### method setOrientation [line 210]

`PHPExcel_Writer_PDF setOrientation( [string $pValue = PHPExcel_Worksheet_PageSetup::ORIENTATION_DEFAULT])`

Set Orientation

#### Tags:

access: | public

#### Parameters:

string | $pValue |

[ Top ]

### method setPaperSize [line 190]

`PHPExcel_Writer_PDF setPaperSize( [int $pValue = PHPExcel_Worksheet_PageSetup::PAPERSIZE_LETTER])`

Set Paper Size

#### Tags:

access: | public

#### Parameters:

int | $pValue |

[ Top ]

### method setTempDir [line 231]

`PHPExcel_Writer_PDF setTempDir( [string $pValue = ''])`

Set temporary storage directory

#### Tags:

throws: | Exception Exception when directory does not exist
access: | public

#### Parameters:

string | $pValue | Temporary storage directory

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:34 +0200 by phpDocumentor 1.4.4